Bug 457108 - Review Request: libss7 - SS7 protocol services to applications
Review Request: libss7 - SS7 protocol services to applications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 465661
  Show dependency treegraph
 
Reported: 2008-07-29 13:11 EDT by Jeffrey C. Ollie
Modified: 2008-11-11 21:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 14:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2008-07-29 13:11:40 EDT
Spec URL: http://jcollie.fedorapeople.org/libss7.spec
SRPM URL: http://jcollie.fedorapeople.org/libss7-1.0.0-1.fc9.src.rpm
Description:
libss7 is a userspace library that is used for providing SS7 protocol
services to applications.  It has a working MTP2, MTP3, and ISUP for
ITU and ANSI style SS7, however it was written in a manner that will
easily allow support for other various national specific variants in
the future.
Comment 1 Jeffrey C. Ollie 2008-08-05 21:44:05 EDT
Spec URL: http://jcollie.fedorapeople.org/libss7.spec
SRPM URL: http://jcollie.fedorapeople.org/libss7-1.0.1-1.fc9.src.rpm

Update to 1.0.1 (Mostly a license clarification).
Comment 2 Peter Lemenkov 2008-08-23 08:20:03 EDT
I'll review it, but I don't understand what this command for:

ln -s libss7.so.1.0 $RPM_BUILD_ROOT%{_libdir}/libss7.so.1
Comment 3 Jeffrey C. Ollie 2008-09-04 16:10:08 EDT
(In reply to comment #2)
> I'll review it, but I don't understand what this command for:
> 
> ln -s libss7.so.1.0 $RPM_BUILD_ROOT%{_libdir}/libss7.so.1

The Makefile installs a link from libss7.so to libss7.so.1 but the library is actually libss7.so.1.0, so an additional link is needed from libss7.so.1 to libss7.so.1.0.  Normally this is taken care of by ldconfig, but since the build is run as non-root ldconfig is not run.
Comment 4 Peter Lemenkov 2008-10-06 05:43:41 EDT
REVIEW:

+ rpmlint is silent.
+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source

[petro@Sulaco SOURCES]$ md5sum libss7-1.0.1.tar.gz*
36d86c2b6a61512a0f61d48a8f6ff64c  libss7-1.0.1.tar.gz
36d86c2b6a61512a0f61d48a8f6ff64c  libss7-1.0.1.tar.gz.orig
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one supported architecture (ppc).
+ No additional build dependencies.
+ The package calls ldconfig in %post and %postun.
+ The package does not create additional directories.
+ The package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package consistently uses macros, as described in the macros section of Packaging Guidelines .
+ The package contains code, or permissable content.
+ No large documentation files
+ All, the package includes as %doc, does not affect the runtime of the application.
+ Header files are in a -devel package.
+ No static libraries.
+ No pkgconfig(.pc) files.
+ The library file(s) that end in .so (without suffix) are in a -devel package.
+ Devel packages requires the base package using a fully versioned dependency.
+ The packages does NOT contain any .la libtool archives.
+ Not a GUI application.
+ The packages does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT .
+ All filenames in rpm package are be valid UTF-8.

I have only one suggestion - please include LICENSE in %doc.


This package is

APPROVED.
Comment 5 Jeffrey C. Ollie 2008-10-06 09:39:14 EDT
New Package CVS Request
=======================
Package Name: libss7
Short Description: SS7 protocol services to applications
Owners: jcollie
Branches: F-10 F-9 EL-5
InitialCC: jcollie
Comment 6 Kevin Fenzi 2008-10-07 13:22:00 EDT
cvs done.
Comment 7 Jeffrey C. Ollie 2008-10-07 14:20:40 EDT
Imported and built.  LICENSE added to %doc per reviewer's suggestion.
Comment 8 Fedora Update System 2008-10-07 14:33:26 EDT
libss7-1.0.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libss7-1.0.1-3.fc9
Comment 9 Fedora Update System 2008-11-11 21:57:11 EST
libss7-1.0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.